Summary: A spelling checker.
Name: aspell
Version: 0.33.7
Epoch: 2
Release: 1
License: LGPL
Group: Applications/Text
URL: http://aspell.sourceforge.net/
Source0: http://download.sourceforge.net/aspell/%{name}-.33.7.tar.gz
Source1: aspell-init.el
Requires: pspell = 0.12.2
Buildrequires: pspell-devel = 0.12.2, gcc-c++
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: ispell

%description
Aspell is a spelling checker designed to eventually replace Ispell.
Aspell's primary advantage (over Ispell) is a greater skill at
suggesting correct spellings. Aspell includes both compile-time and
run-time support for non-English languages and can spellcheck (La)TeX
and HTML files.

%package	devel
Summary: Static libraries and header files for Aspell development.
Group: Development/Libraries
Requires: pspell-devel aspell = %{version}

%description	devel
Aspell is a spelling checker. The aspell-devel package includes the
static libraries and header files needed for Aspell development. Note
that the recommended way to use aspell is through the Pspell library.

%package en-gb
Summary: A British English dictionary for aspell.
Group: Applications/Text
Requires: aspell

%description en-gb
This package contains a British English dictionary for use with
aspell, a spelling checker.

%package en-ca
Summary: A Canadian English dictionary for aspell.
Group: Applications/Text
Requires: aspell

%description en-ca
This package contains a Canadian English dictionary for use with
aspell, a spelling checker.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n aspell-.33.7

%build
%configure
make

%install
make DESTDIR=$RPM_BUILD_ROOT install

mkdir -p $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/site-start.d
mkdir -p $RPM_BUILD_ROOT/usr/lib/xemacs/xemacs-packages/lisp/site-start.d
install -m 755 scripts/spell  $RPM_BUILD_ROOT/usr/bin/spell
install -m 755 scripts/ispell $RPM_BUILD_ROOT/usr/bin/ispell
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/site-start.d
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/xemacs/xemacs-packages/lisp/site-start.d

cp -pr $RPM_BUILD_ROOT/usr/doc/aspell .
rm -f aspell/manual.aux

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig
    
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TODO aspell/*
/usr/bin/*
/usr/lib/aspell/american*
/usr/lib/aspell/english*
/usr/lib/lib*.so.*
# Yes, they need to be in the main package - they are used for
# dynamic loading. Argh.
/usr/lib/lib*.la
/usr/share/aspell
/usr/share/pspell
/usr/share/emacs/site-lisp/site-start.d/*
/usr/lib/xemacs/xemacs-packages/lisp/site-start.d/*

%files		devel
%defattr(-,root,root)
/usr/include/aspell
/usr/lib/lib*aspell.a
/usr/lib/lib*aspell.so

%files en-ca
%defattr(-,root,root)
/usr/lib/aspell/canadian*

%files en-gb
%defattr(-,root,root)
/usr/lib/aspell/british*

%changelog
* Thu Aug  9 2001 Trond Eivind Glomsrd <teg@redhat.com> 0.33.7-1
- 0.33.7 bugfix release. Requested by the author, it fixes
  coredumps in sug-mode and when not using typo-analyses.
  It also contains code cleanups so it compiles with -ansi
- should fix coredump on IA64 (#49746)

* Wed Jul 11 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Add the .la files in the main package - used for dynamic loading

* Sun Jun  3 2001 Trond Eivind Glomsrd <teg@redhat.com>
- 0.33.6.3, which includes the fix made yesterday

* Sat Jun  2 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Make it search for directories in the correct location

* Wed May 30 2001 Trond Eivind Glomsrd <teg@redhat.com>
- No more workarounds at the specfile level

* Tue May 29 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Use custom ltmain.sh to work around buggy bundled libtool

* Sun May 20 2001 Trond Eivind Glomsrd <teg@redhat.com>
- 0.33.6
- use standard %%configure macro - it works now.

* Fri May 11 2001 Bernhard Rosenkraenzer <bero@redhat.com> 0.33.5-2
- Rebuild with new libltdl

* Mon Apr 23 2001 Trond Eivind Glomsrd <teg@redhat.com>
- 0.33.5

* Thu Nov 30 2000 Trond Eivind Glomsrd <teg@redhat.com>
- use new emacs init scheme for Emacs and XEmacs

* Wed Nov 22 2000 Trond Eivind Glomsrd <teg@redhat.com>
-  .32.6

* Sat Aug 19 2000 Trond Eivind Glomsrd <teg@redhat.com>
- .32.5 bugfix release (also contains improved documentation),
  obsolete old patch
- the compatibility scripts are now part of the package itself
- clean up build procedure
- remove manual.aux file from docs (#16424)

* Sun Aug 06 2000 Trond Eivind Glomsrd <teg@redhat.com>
- .32.1 bugfix release, obsolete old patch
- rename to 0.32.1
- add patch from author to change his email address
- add spell and ispell compatibility scripts

* Fri Aug 04 2000 Trond Eivind Glomsrd <teg@redhat.com>
- rebuild

* Tue Aug 01 2000 Trond Eivind Glomsrd <teg@redhat.com>
- remember to obsolete ispell
- build the Canadian and British dictionaries here now,
  as part of the main package. Same package names and 
  descriptions.

* Mon Jul 24 2000 Trond Eivind Glomsrd <teg@redhat.com>
- .32
- remove old patches, add a patch since namespace isn't 
  polluted as much anymore (as opposed to older toolchain)

* Wed Jul 19 2000 Trond Eivind Glomsrd <teg@redhat.com>
- rebuild

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul  4 2000 Jakub Jelinek <jakub@redhat.com>
- Rebuild with new C++

* Fri Jun 30 2000 Trond Eivind Glomsrd <teg@redhat.com>
- use RPM_OPT_FLAGS, not just -O0
- dont include .la-files

* Fri Jun 23 2000 Trond Eivind Glomsrd <teg@redhat.com>
- excludearch ia64

* Fri Jun 23 2000 Trond Eivind Glomsrd <teg@redhat.com>
- patch to work around compiler bug(?) wrt. inline functions
- use CFLAGS and CXXFLAGS
- set them to -O0 to work around YACB
- copy libtool files for IA64 support

* Sun Jun 18 2000 Trond Eivind Glomsrd <teg@redhat.com>
- update to .31.1. My patch was upstreamed and is no longer needed.
- new patch added so DESTDIR works properly

* Fri Jun 16 2000 Trond Eivind Glomsrd <teg@redhat.com>
- (this entry includes some old ones...)
- update to .31
- added patch to make it compile with a pickier compiler
- include /usr/share/pspell

* Mon May 1 2000 Tim Powers <timp@redhat.com>
- updated to .30.1
- used build fixes from Ryan Weaver's 0.30.1-1 package on sourceforge
- updated URL, download/ftp location
- removed redundant define's at top of spec file

* Thu Jul 8 1999 Tim Powers <timp@redhat.com>
- built for Powertools 6.1
- removed %serial definitions from spec file to make versioning
  consistant with the other packages we ship.
- changed build root path
- general spec file cleanups

* Tue Mar  2 1999 Ryan Weaver <ryanw@infohwy.com>
  [aspell-.27.2-2]
- Changes from .27.1 to .27.2 (Mar 1, 1999)
- Fixed a major bug that caused aspell to dump core when used
  without any arguments
- Fixed another major bug that caused aspell to do nothing when used
  in interactive mode.
- Added an option to exit in Aspell's interactive mode.
- Removed some old documentation files from the distribution.
- Minor changes on to the section on using Aspell with egcs.
- Minor changes to remove -Wall warnings.
